org.apache.maven.scm.provider.cvslib.command.checkin

## Class AbstractCvsCheckInCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkin.AbstractCheckInCommand
    - - org.apache.maven.scm.provider.cvslib.command.checkin.AbstractCvsCheckInCommand

All Implemented Interfaces:
  Command, CvsCommand

Direct Known Subclasses:
  CvsExeCheckInCommand, CvsJavaCheckInCommand

    public abstract class AbstractCvsCheckInCommand
    extends AbstractCheckInCommand
    implements CvsCommand

Version:
  $Id: AbstractCvsCheckInCommand.java 691810 2008-09-03 22:38:28Z vsiveton $
Author:
  Emmanuel Venisse , Trygve Laugstøl

### Field Summary

### Fields inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`NAME`

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractCvsCheckInCommand()`

### Method Summary

Methods
`protected CheckInScmResult` `executeCheckInCommand(ScmProviderRepository repo, ScmFileSet fileSet, String message, ScmVersion version)`
`protected abstract CheckInScmResult` `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl, CvsScmProviderRepository repository, File messageFile)`

### Methods inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### AbstractCvsCheckInCommand

    public AbstractCvsCheckInCommand()

### Method Detail

#### executeCheckInCommand

    protected CheckInScmResult executeCheckInCommand(ScmProviderRepository repo,
                                         ScmFileSet fileSet,
                                         String message,
                                         ScmVersion version)
                                              throws ScmException

Specified by:
  `executeCheckInCommand` in class `AbstractCheckInCommand`
Throws:
  `ScmException`

#### executeCvsCommand

    protected abstract CheckInScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl,
                                     CvsScmProviderRepository repository,
                                     File messageFile)
                                                   throws ScmException

Throws:
  `ScmException`